Bug 214707 - www/mod_auth_cas: needs v1.1 to be fully compatible with apache 2.4
Summary: www/mod_auth_cas: needs v1.1 to be fully compatible with apache 2.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-apache (Nobody)
URL: http
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-21 16:03 UTC by geoffroy desvernay
Modified: 2017-11-05 12:37 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (apache)


Attachments
svn diff www/mod_auth_cas (6.09 KB, patch)
2016-12-10 16:46 UTC, geoffroy desvernay
dgeo: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description geoffroy desvernay 2016-11-21 16:03:34 UTC
https://github.com/Jasig/mod_auth_cas

Unfortunately, this version will also break existing configs…

Sorry, didn't found time to make a working patch…
Comment 1 geoffroy desvernay 2016-12-10 16:46:24 UTC
Created attachment 177853 [details]
svn diff www/mod_auth_cas

contains a temporary patch, submitted upstream: https://github.com/Jasig/mod_auth_cas/pull/119

converted to use modules.d with sample config file

poudriere testport'ed
Comment 2 commit-hook freebsd_committer 2017-11-05 12:36:39 UTC
A commit references this bug:

Author: brnrd
Date: Sun Nov  5 12:36:17 UTC 2017
New revision: 453543
URL: https://svnweb.freebsd.org/changeset/ports/453543

Log:
  www/mod_auth_cas: Update to 1.1

   - Update to 1.1
   - Add modules.d configuration file
   - Builds OK with clang
   - Fix configure detection of libpcre

  PR:             214707
  Submitted by:   Geoffroy Desvernay <dgeo@centrale-marseille.fr>
  With hat:       apache

Changes:
  head/UPDATING
  head/www/mod_auth_cas/Makefile
  head/www/mod_auth_cas/distinfo
  head/www/mod_auth_cas/files/250_mod_auth_cas.conf.sample.in
  head/www/mod_auth_cas/files/patch-mod_auth_cas.c
  head/www/mod_auth_cas/files/patch-src_mod__auth__cas.c
  head/www/mod_auth_cas/pkg-message
Comment 3 Bernard Spil freebsd_committer 2017-11-05 12:37:44 UTC
Thanks Geoffroy!

Same properties issues on the files though.
The upstreamed patch is not accepted, can you reply to their comment and get it closed?